# `abacusai.data_prep_logs`

## Module Contents

### Classes

`DataPrepLogs` | Logs from data preparation.

class abacusai.data_prep_logs.DataPrepLogs(client, logs=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Logs from data preparation.

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - logs (list[str]) – List of logs from data preparation during model training.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict